Retrieve list of jobs matching provided filter.
The iTwinId in filter is optional. If it is not provided, this will return jobs created by the same user. However, if the iTwinId is provided and the user has access to it, this will return jobs associated with that specific iTwin.
Authentication
Requires Authorization header with valid Bearer token for scope itwin-platform.
For more documentation on authorization and how to get access token visit OAUTH2 Authorization page.
Request parameters
The $filter query option requests a specific set of jobs.
The given filter is evaluated for each job and only job where the filter evaluates to true are returned.
Properties supported for filtering: id, iTwinId, name, email, type, state, createdDateTime.
Supported operators: eq, lt, le, gt, ge, ne, and, or.
Examples of $filter values:
$filter=iTwinId eq dc720f05-e5f7-448b-ae06-765de46f0af1
$filter=id eq 9e2d27cf-b695-47e9-b7f0-0d47dc3b88ad
$filter=createdDateTime gt 2024-06-24T13:00:00Z
Parameter that enables continuing to the next page of the previous paged query. This must be passed exactly as it is in the response body's _links.next property.
The number of reality modeling jobs to get in each page. Max 1000, but 100 is the default if this parameter is not included.
Request headers
OAuth access token with itwin-platform scope
Setting to application/vnd.bentley.itwin-platform.v2+json is recommended.
Response 200 OK
OK
{ "jobs": [{ "id": "2e8b5984-15b1-45d5-8175-572583d8c3c8", "state": "Success", "userId": "c6ed4bad-b7d1-46d5-b9f3-7bae29cf39a9", "executionInfo": { "startedDateTime": "2025-11-24T08:12:33Z", "endedDateTime": "2025-11-24T08:14:00Z", "createdDateTime": "2025-11-24T08:12:09Z", "processingUnits": 0 }, "specifications": { "inputs": { "imageCollections": ["fc2746d5-7b62-4f00-9a88-1bfaa22475d7"] }, "outputs": { "scene": "0bdccf29-452e-4610-b00c-d2a1f58c9100" }, "options": { "recursiveImageCollections": false, "altitudeReference": "SeaLevel" } }, "name": "Unified Job- FillImageProperties", "type": "FillImageProperties", "iTwinId": "2c8e4988-eb9b-4e5f-a903-8c7c18f3030a" }, { "id": "7358a7f6-dcf3-4f81-8cdd-5df3396bb0c9", "state": "Failed", "userId": "c6ed4bad-b7d1-46d5-b9f3-7bae29cf39a9", "executionInfo": { "startedDateTime": "2025-11-24T01:31:39Z", "endedDateTime": "2025-11-24T01:31:39Z", "createdDateTime": "2025-11-24T08:12:12Z", "processingUnits": 0 }, "specifications": { "inputs": { "imageCollections": ["fc2746d5-7b62-4f00-9a88-1bfaa22475d7"] }, "outputs": { "scene": "66d86817-e959-4eea-ac65-176dde1093cf" }, "options": { "recursiveImageCollections": false, "altitudeReference": "SeaLevel" } }, "name": "Unified Job- FillImageProperties", "type": "FillImageProperties", "iTwinId": "2c8e4988-eb9b-4e5f-a903-8c7c18f3030a" }], "_links": { "next": { "href": "https://api.bentley.com/reality-modeling/jobs?$filter=iTwinId%20eq%202c8e4988-eb9b-4e5f-a903-8c7c18f3030a&$top=2&continuationToken=MTRmZDkwOGYtNWEzOS00YzY3LWFmMGYtMGMxMWQxYWNkMDhl" } } }
Response 400 Bad Request
The 400 status code indicates that the request cannot be processed by the server due to a client error (e.g. malformed request syntax).
{ "error": { "code": "InvalidRealityModelingRequest", "message": "Cannot find jobs.", "details": [{ "code": "InvalidParameter", "message": "The $top query parameter value must be a positive integer that does not exceed 1000.", "target": "$Top" }] } }
Response 401 Unauthorized
This response indicates that request lacks valid authentication credentials. Access token might not been provided, issued by the wrong issuer, does not have required scopes or request headers were malformed.
{ "error": { "code": "HeaderNotFound", "message": "Header Authorization was not found in the request. Access denied." } }
Response 404 Not Found
Not Found
{ "error": { "code": "iTwinNotFound", "message": "Requested iTwin is not available." } }
Response 429 Too many requests
This response indicates that the client sent more requests than allowed by this API for the current tier of the client.
{ "error": { "code": "RateLimitExceeded", "message": "The client sent more requests than allowed by this API for the current tier of the client." } }
Response headers
Number of seconds to wait until client is allowed to make more requests.
Error
Contains error information.
One of a server-defined set of error codes.
A human-readable representation of the error.
The target of the error.
{ "required": [ "code", "message" ], "type": "object", "properties": { "code": { "type": "string", "description": "One of a server-defined set of error codes." }, "message": { "type": "string", "description": "A human-readable representation of the error." }, "target": { "type": "string", "description": "The target of the error.", "nullable": true } }, "description": "Contains error information." }
Error Response
Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed.
{ "title": "Error Response", "required": [ "error" ], "type": "object", "properties": { "error": { "$ref": "#/components/schemas/Error" } }, "additionalProperties": false, "description": "Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed." }
DetailedError
Contains error information and an array of more specific errors.
One of a server-defined set of error codes.
A human-readable representation of the error.
The target of the error.
{ "required": [ "code", "message", "details" ], "type": "object", "properties": { "code": { "type": "string", "description": "One of a server-defined set of error codes." }, "message": { "type": "string", "description": "A human-readable representation of the error." }, "target": { "type": "string", "description": "The target of the error.", "nullable": true }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/Error" }, "description": "Optional array of more specific errors." } }, "description": "Contains error information and an array of more specific errors." }
Detailed Error Response
Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed.
{ "title": "Detailed Error Response", "required": [ "error" ], "type": "object", "properties": { "error": { "$ref": "#/components/schemas/DetailedError" } }, "additionalProperties": false, "description": "Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed." }
Job state
Job current state
{ "title": "Job state", "enum": [ "Queued", "Active", "TerminatingOnCancel", "TerminatingOnFailure", "Cancelled", "Failed", "Success" ], "type": "string", "description": "Job current state" }
Execution Information
Execution information relative to a job.
Start time of the job.
End time of the job.
Creation time of the job.
The number of processing units consumed by the job.
{ "title": "Execution Information", "required": [ "createdDateTime" ], "type": "object", "properties": { "startedDateTime": { "type": "string", "description": "Start time of the job.", "format": "date-time", "nullable": true }, "endedDateTime": { "type": "string", "description": "End time of the job.", "format": "date-time", "nullable": true }, "createdDateTime": { "type": "string", "description": "Creation time of the job.", "format": "date-time" }, "processingUnits": { "type": "number", "description": "The number of processing units consumed by the job.", "nullable": true } }, "additionalProperties": false, "description": "Execution information relative to a job." }
FillImageProperties Inputs
List of possible inputs for a Fill Image Properties job.
List of image collection reality data ids.
Reality data id of ContextScene to process.
Reality data id of ContextScene to complete.
List of paths to preset.
{ "title": "FillImageProperties Inputs", "type": "object", "properties": { "imageCollections": { "type": "array", "items": { "type": "string" }, "description": "List of image collection reality data ids.", "default": null, "nullable": true }, "sceneToProcess": { "type": "string", "description": "Reality data id of ContextScene to process.", "default": null, "nullable": true }, "sceneToComplete": { "type": "string", "description": "Reality data id of ContextScene to complete.", "default": null, "nullable": true }, "presets": { "type": "array", "items": { "type": "string" }, "description": "List of paths to preset.", "default": null, "nullable": true } }, "additionalProperties": false, "description": "List of possible inputs for a Fill Image Properties job." }
FillImageProperties Outputs
List of possible outputs for a Fill Image Properties job.
Output reality data id of ContextScene with image properties filled.
{ "title": "FillImageProperties Outputs", "required": [ "scene" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Output reality data id of ContextScene with image properties filled." } }, "additionalProperties": false, "description": "List of possible outputs for a Fill Image Properties job." }
Altitude Reference
Values for Altitude Reference when filling image properties.
{ "title": "Altitude Reference", "enum": [ "SeaLevel", "WGS84Ellipsoid" ], "type": "string", "additionalProperties": false, "description": "Values for Altitude Reference when filling image properties." }
FillImageProperties Options
List of possible options for Fill Image Properties job.
Recursively read folders in image collection.
{ "title": "FillImageProperties Options", "type": "object", "properties": { "recursiveImageCollections": { "type": "boolean", "description": "Recursively read folders in image collection.", "default": null, "nullable": true }, "altitudeReference": { "$ref": "#/components/schemas/AltitudeReference" } }, "additionalProperties": false, "description": "List of possible options for Fill Image Properties job." }
FillImageProperties Specifications
Specifications for Fill Image Properties job.
{ "title": "FillImageProperties Specifications", "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/FillImagePropertiesInputs" }, "outputs": { "$ref": "#/components/schemas/FillImagePropertiesOutputs" }, "options": { "$ref": "#/components/schemas/FillImagePropertiesOptions" } }, "additionalProperties": false, "description": "Specifications for Fill Image Properties job." }
ImportPointCloud Inputs
Reality data id of ContextScene to process
Path in the bucket for CRS Data
{ "title": "ImportPointCloud Inputs", "required": [ "scene" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data id of ContextScene to process" }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true } }, "additionalProperties": false }
ImportPointCloud Outputs
Output reality data id for scan collection
Output reality data id for context scene referencing scan collection
{ "title": "ImportPointCloud Outputs", "required": [ "scanCollection" ], "type": "object", "properties": { "scanCollection": { "type": "string", "description": "Output reality data id for scan collection" }, "scene": { "type": "string", "description": "Output reality data id for context scene referencing scan collection", "default": null, "nullable": true } }, "additionalProperties": false }
ImportPointCloud Specifications
{ "title": "ImportPointCloud Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/ImportPointCloudInputs" }, "outputs": { "$ref": "#/components/schemas/ImportPointCloudOutputs" } }, "additionalProperties": false }
Calibration Inputs
Reality data ID of ContextScene to process
Path in the bucket for CRS Data
List of paths to preset
{ "title": "Calibration Inputs", "required": [ "scene" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data ID of ContextScene to process" }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true }, "presets": { "type": "array", "items": { "type": "string" }, "description": "List of paths to preset", "default": null, "nullable": true } }, "additionalProperties": false }
Calibration Outputs
Reality data ID of calibrated ContextScene
Path in the bucket of Calibration report
Reality data ID of textured tie points
{ "title": "Calibration Outputs", "required": [ "scene" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data ID of calibrated ContextScene" }, "report": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket of Calibration report", "default": null, "nullable": true }, "texturedTiePoints": { "type": "string", "description": "Reality data ID of textured tie points", "default": null, "nullable": true } }, "additionalProperties": false }
Rig Synchro
{ "title": "Rig Synchro", "enum": [ "None", "Strict", "Loose" ], "type": "string" }
Rotation Policy
{ "title": "Rotation Policy", "enum": [ "Compute", "Adjust", "Keep", "Extend" ], "type": "string" }
Center Policy
{ "title": "Center Policy", "enum": [ "Compute", "Adjust", "AdjustWithinTolerance", "Keep", "Extend" ], "type": "string" }
Focal Policy
{ "title": "Focal Policy", "enum": [ "Adjust", "Keep" ], "type": "string" }
Principal Policy
{ "title": "Principal Policy", "enum": [ "Adjust", "Keep" ], "type": "string" }
Radial Policy
{ "title": "Radial Policy", "enum": [ "Adjust", "Keep" ], "type": "string" }
Tangential Policy
{ "title": "Tangential Policy", "enum": [ "Adjust", "Keep" ], "type": "string" }
Fisheye Focal Policy
{ "title": "Fisheye Focal Policy", "enum": [ "AdjustSymmetric", "AdjustAsymmetric", "Keep" ], "type": "string" }
Fisheye Distortion Policy
{ "title": "Fisheye Distortion Policy", "enum": [ "Adjust_01xx0", "Adjust_x1xx0", "Adjust_x1xxx", "Keep" ], "type": "string" }
Aspect Ratio Policy
{ "title": "Aspect Ratio Policy", "enum": [ "Adjust", "Keep" ], "type": "string" }
Skew Policy
{ "title": "Skew Policy", "enum": [ "Adjust", "Keep" ], "type": "string" }
Tiepoints Policy
{ "title": "Tiepoints Policy", "enum": [ "Compute", "Keep" ], "type": "string" }
Pair Selection
{ "title": "Pair Selection", "enum": [ "Default", "Sequence", "Loop", "Exhaustive", "SimilarOnly" ], "type": "string" }
Keypoints Density
{ "title": "Keypoints Density", "enum": [ "Normal", "High" ], "type": "string" }
Tag
{ "title": "Tag", "enum": [ "QR", "April", "Chili", "Checkerboards" ], "type": "string" }
Color Equalization
{ "title": "Color Equalization", "enum": [ "None", "BlockWise", "MachineLearning" ], "type": "string" }
Adjustment Constraints
{ "title": "Adjustment Constraints", "enum": [ "None", "ControlPoints", "PositionMetadata", "PointClouds", "Automatic" ], "type": "string" }
Rigid Registration Position
{ "title": "Rigid Registration Position", "enum": [ "None", "UserConstraints", "ControlPoints", "PositionMetadata", "PointClouds", "Automatic" ], "type": "string" }
Rigid Registration Rotation
{ "title": "Rigid Registration Rotation", "enum": [ "None", "UserConstraints", "ControlPoints", "PositionMetadata", "PointClouds", "Automatic", "RotationMetadata" ], "type": "string" }
Rigid Registration Scale
{ "title": "Rigid Registration Scale", "enum": [ "None", "UserConstraints", "ControlPoints", "PositionMetadata", "PointClouds", "Automatic" ], "type": "string" }
Calibration Options
Center tolerance, use only when center policy is AdjustWithinTolerance
Pair selection distance, use only when pair selection mode is Sequence or Loop
Enable precalibration
CRS to use when producing the output ContextScene
{ "title": "Calibration Options", "type": "object", "properties": { "rigSynchro": { "$ref": "#/components/schemas/RigSynchro" }, "rotationPolicy": { "$ref": "#/components/schemas/RotationPolicy" }, "centerPolicy": { "$ref": "#/components/schemas/CenterPolicy" }, "centerTolerance": { "type": "number", "description": "Center tolerance, use only when center policy is AdjustWithinTolerance", "default": null, "nullable": true }, "focalPolicy": { "$ref": "#/components/schemas/FocalPolicy" }, "principalPolicy": { "$ref": "#/components/schemas/PrincipalPolicy" }, "radialPolicy": { "$ref": "#/components/schemas/RadialPolicy" }, "tangentialPolicy": { "$ref": "#/components/schemas/TangentialPolicy" }, "fisheyeFocalPolicy": { "$ref": "#/components/schemas/FisheyeFocalPolicy" }, "fisheyeDistortionPolicy": { "$ref": "#/components/schemas/FisheyeDistortionPolicy" }, "aspectRatioPolicy": { "$ref": "#/components/schemas/AspectRatioPolicy" }, "skewPolicy": { "$ref": "#/components/schemas/SkewPolicy" }, "tiepointsPolicy": { "$ref": "#/components/schemas/TiepointsPolicy" }, "pairSelection": { "$ref": "#/components/schemas/PairSelection" }, "pairSelectionDistance": { "type": "integer", "description": "Pair selection distance, use only when pair selection mode is Sequence or Loop", "default": null, "nullable": true }, "keypointsDensity": { "$ref": "#/components/schemas/KeypointsDensity" }, "precalibration": { "type": "boolean", "description": "Enable precalibration", "default": null, "nullable": true }, "tagsExtraction": { "type": "array", "items": { "$ref": "#/components/schemas/Tag" }, "description": "Tags to extract", "default": null, "nullable": true }, "colorEqualization": { "$ref": "#/components/schemas/ColorEqualization" }, "adjustmentConstraints": { "type": "array", "items": { "$ref": "#/components/schemas/AdjustmentConstraints" }, "description": "Adjustment constraints", "default": null, "nullable": true }, "rigidRegistrationPosition": { "$ref": "#/components/schemas/RigidRegistrationPosition" }, "rigidRegistrationRotation": { "$ref": "#/components/schemas/RigidRegistrationRotation" }, "rigidRegistrationScale": { "$ref": "#/components/schemas/RigidRegistrationScale" }, "sceneOutputCrs": { "type": "string", "description": "CRS to use when producing the output ContextScene", "default": null, "nullable": true } }, "additionalProperties": false }
Calibration Specifications
{ "title": "Calibration Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/CalibrationInputs" }, "outputs": { "$ref": "#/components/schemas/CalibrationOutputs" }, "options": { "$ref": "#/components/schemas/CalibrationOptions" } }, "additionalProperties": false }
Tiling Inputs
Reality data id of ContextScene to process
Path in the bucket to region of interest file
Path in the bucket for CRS Data
List of paths to preset
{ "title": "Tiling Inputs", "required": [ "scene" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data id of ContextScene to process" }, "regionOfInterest": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket to region of interest file", "default": null, "nullable": true }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true }, "presets": { "type": "array", "items": { "type": "string" }, "description": "List of paths to preset", "default": null, "nullable": true } }, "additionalProperties": false }
Modeling Reference
Reality data id of Modeling Reference
{ "title": "Modeling Reference", "required": [ "location" ], "type": "object", "properties": { "location": { "type": "string", "description": "Reality data id of Modeling Reference" } }, "additionalProperties": false }
Tiling Outputs
{ "title": "Tiling Outputs", "required": [ "modelingReference" ], "type": "object", "properties": { "modelingReference": { "$ref": "#/components/schemas/ModelingReference" } }, "additionalProperties": false }
Modeling Reference Type
{ "title": "Modeling Reference Type", "enum": [ "Orthophoto", "Complete" ], "type": "string" }
TilingMode
{ "title": "TilingMode", "enum": [ "NoTiling", "RegularPlanarGrid", "RegularVolumetricGrid", "Adaptive" ], "type": "string" }
Point3d
X coordinate
Y coordinate
Z coordinate
{ "title": "Point3d", "required": [ "x", "y", "z" ], "type": "object", "properties": { "x": { "type": "number", "description": "X coordinate" }, "y": { "type": "number", "description": "Y coordinate" }, "z": { "type": "number", "description": "Z coordinate" } }, "additionalProperties": false }
Geometric Precision
{ "title": "Geometric Precision", "enum": [ "Medium", "High", "Extra", "Ultra" ], "type": "string" }
Tiling Pair Selection
{ "title": "Tiling Pair Selection", "enum": [ "Generic", "StructuredAerial", "RegionOfInterest" ], "type": "string" }
Photo Used For Geometry
{ "title": "Photo Used For Geometry", "enum": [ "ExcludeThermal", "IncludeThermal", "None" ], "type": "string" }
Hole Filling
{ "title": "Hole Filling", "enum": [ "SmallHoles", "AllHoles" ], "type": "string" }
Simplification
{ "title": "Simplification", "enum": [ "Standard", "PlanarRelative", "PlanarAbsolute" ], "type": "string" }
PointCloud Color Source
{ "title": "PointCloud Color Source", "enum": [ "None", "Color", "Intensity", "ScaledIntensity" ], "type": "string" }
Color Correction
{ "title": "Color Correction", "enum": [ "None", "Standard", "StandardWithThermal", "BlockWise", "BlockWiseWithThermal" ], "type": "string" }
Untextured Representation
{ "title": "Untextured Representation", "enum": [ "InpaintingCompletion", "UniformColor" ], "type": "string" }
Texture Source
{ "title": "Texture Source", "enum": [ "PhotosFirst", "PointCloudsFirst", "Smart" ], "type": "string" }
Tiling Options
Tiling Value
Discard emtpy tiles
Coordinate Reference System
Planar simplification tolerance
Untextured color
Ortho resolution
Geometry resolution limit
Texture resolution limit
{ "title": "Tiling Options", "type": "object", "properties": { "modelingReferenceType": { "$ref": "#/components/schemas/ModelingReferenceType" }, "tilingMode": { "$ref": "#/components/schemas/TilingMode" }, "tilingValue": { "minimum": 0, "type": "number", "description": "Tiling Value", "default": null, "nullable": true }, "tilingOrigin": { "$ref": "#/components/schemas/Point3d" }, "discardEmptyTiles": { "type": "boolean", "description": "Discard emtpy tiles", "default": null, "nullable": true }, "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "geometricPrecision": { "$ref": "#/components/schemas/GeometricPrecision" }, "pairSelection": { "$ref": "#/components/schemas/TilingPairSelection" }, "photoUsedForGeometry": { "$ref": "#/components/schemas/PhotoUsedForGeometry" }, "holeFilling": { "$ref": "#/components/schemas/HoleFilling" }, "simplification": { "$ref": "#/components/schemas/Simplification" }, "planarSimplificationTolerance": { "type": "number", "description": "Planar simplification tolerance", "default": null, "nullable": true }, "pointCloudColorSource": { "$ref": "#/components/schemas/PointCloudColorSource" }, "colorCorrection": { "$ref": "#/components/schemas/ColorCorrection" }, "untexturedRepresentation": { "$ref": "#/components/schemas/UntexturedRepresentation" }, "untexturedColor": { "pattern": "^#[a-fA-F0-9]{6}$", "type": "string", "description": "Untextured color", "default": null, "nullable": true }, "textureSource": { "$ref": "#/components/schemas/TextureSource" }, "orthoResolution": { "type": "number", "description": "Ortho resolution", "nullable": true }, "geometryResolutionLimit": { "type": "number", "description": "Geometry resolution limit", "nullable": true }, "textureResolutionLimit": { "type": "number", "description": "Texture resolution limit", "default": null, "nullable": true } }, "additionalProperties": false }
Tiling Specifications
{ "title": "Tiling Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/TilingInputs" }, "outputs": { "$ref": "#/components/schemas/TilingOutputs" }, "options": { "$ref": "#/components/schemas/TilingOptions" } }, "additionalProperties": false }
Production Inputs
Reality data id of ContextScene to process
Reality data id of modeling reference to process
Path in the bucket to region of interest file, used for export extent
Path in the bucket for CRS Data
List of paths to preset
{ "title": "Production Inputs", "required": [ "scene", "modelingReference" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data id of ContextScene to process" }, "modelingReference": { "type": "string", "description": "Reality data id of modeling reference to process" }, "extent": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket to region of interest file, used for export extent", "default": null, "nullable": true }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true }, "presets": { "type": "array", "items": { "type": "string" }, "description": "List of paths to preset", "default": null, "nullable": true } }, "additionalProperties": false }
Format
{ "title": "Format", "enum": [ "3DTiles", "3MX", "OBJ", "LAS", "PLY", "OPC", "OrthophotoDSM", "I3S", "OSGB" ], "type": "string" }
Color Source
{ "title": "Color Source", "enum": [ "None", "Visible", "Thermal", "Resolution" ], "type": "string" }
Thermal Unit
{ "title": "Thermal Unit", "enum": [ "Absolute", "Celsius", "Fahrenheit" ], "type": "string" }
LOD Scope
{ "title": "LOD Scope", "enum": [ "TileWise", "AcrossTiles" ], "type": "string" }
Cesium Compression
{ "title": "Cesium Compression", "enum": [ "None", "Draco" ], "type": "string" }
Options 3DTiles
Minimum resolution for the texture color source
Maximum resolution for the texture color source
Minimum thermal value for the texture color source
Maximum thermal value for the texture color source
Coordinate Reference System
{ "title": "Options 3DTiles", "type": "object", "properties": { "textureColorSource": { "$ref": "#/components/schemas/ColorSource" }, "textureColorSourceResMin": { "minimum": 0, "type": "number", "description": "Minimum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceResMax": { "minimum": 0, "type": "number", "description": "Maximum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalUnit": { "$ref": "#/components/schemas/ThermalUnit" }, "textureColorSourceThermalMin": { "type": "number", "description": "Minimum thermal value for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalMax": { "type": "number", "description": "Maximum thermal value for the texture color source", "default": null, "nullable": true }, "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "lodScope": { "$ref": "#/components/schemas/LODScope" }, "compress": { "$ref": "#/components/schemas/CesiumCompression" } }, "additionalProperties": false }
Options 3MX
Minimum resolution for the texture color source
Maximum resolution for the texture color source
Minimum thermal value for the texture color source
Maximum thermal value for the texture color source
Coordinate Reference System
Flag to generate a web application
{ "title": "Options 3MX", "type": "object", "properties": { "textureColorSource": { "$ref": "#/components/schemas/ColorSource" }, "textureColorSourceResMin": { "minimum": 0, "type": "number", "description": "Minimum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceResMax": { "minimum": 0, "type": "number", "description": "Maximum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalUnit": { "$ref": "#/components/schemas/ThermalUnit" }, "textureColorSourceThermalMin": { "type": "number", "description": "Minimum thermal value for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalMax": { "type": "number", "description": "Maximum thermal value for the texture color source", "default": null, "nullable": true }, "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "crsOrigin": { "$ref": "#/components/schemas/Point3d" }, "lodScope": { "$ref": "#/components/schemas/LODScope" }, "generateWebApp": { "type": "boolean", "description": "Flag to generate a web application", "default": null, "nullable": true } }, "additionalProperties": false }
LOD Type
{ "title": "LOD Type", "enum": [ "None", "Unary", "Quadtree", "Octree", "Adaptive", "BingMaps" ], "type": "string" }
Options OBJ
Minimum resolution for the texture color source
Maximum resolution for the texture color source
Minimum thermal value for the texture color source
Maximum thermal value for the texture color source
Maximum texture size
JPG compression of texture file
Enable or disable texture sharpening.
Coordinate Reference System
Flag for double precision
{ "title": "Options OBJ", "type": "object", "properties": { "textureColorSource": { "$ref": "#/components/schemas/ColorSource" }, "textureColorSourceResMin": { "minimum": 0, "type": "number", "description": "Minimum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceResMax": { "minimum": 0, "type": "number", "description": "Maximum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalUnit": { "$ref": "#/components/schemas/ThermalUnit" }, "textureColorSourceThermalMin": { "type": "number", "description": "Minimum thermal value for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalMax": { "type": "number", "description": "Maximum thermal value for the texture color source", "default": null, "nullable": true }, "maximumTextureSize": { "type": "integer", "description": "Maximum texture size", "default": null, "nullable": true }, "textureCompression": { "maximum": 100, "minimum": 0, "type": "integer", "description": "JPG compression of texture file", "default": null, "nullable": true }, "textureSharpening": { "type": "boolean", "description": "Enable or disable texture sharpening.", "default": null, "nullable": true }, "lodScope": { "$ref": "#/components/schemas/LODScope" }, "lodType": { "$ref": "#/components/schemas/LODType" }, "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "crsOrigin": { "$ref": "#/components/schemas/Point3d" }, "doublePrecision": { "type": "boolean", "description": "Flag for double precision", "default": null, "nullable": true } }, "additionalProperties": false }
Sampling Strategy
{ "title": "Sampling Strategy", "enum": [ "Resolution", "Absolute" ], "type": "string" }
Las Compression
{ "title": "Las Compression", "enum": [ "None", "LAZ" ], "type": "string" }
Options LAS
Coordinate Reference System
Sampling distance
Flag to merge point clouds
{ "title": "Options LAS", "type": "object", "properties": { "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "samplingStrategy": { "$ref": "#/components/schemas/SamplingStrategy" }, "samplingDistance": { "type": "number", "description": "Sampling distance", "default": null, "nullable": true }, "compress": { "$ref": "#/components/schemas/LasCompression" }, "mergePointClouds": { "type": "boolean", "description": "Flag to merge point clouds", "default": null, "nullable": true }, "textureColorSource": { "$ref": "#/components/schemas/ColorSource" } }, "additionalProperties": false }
Options PLY
Coordinate Reference System
Sampling distance
Flag to merge point clouds
Flag to include normals
{ "title": "Options PLY", "type": "object", "properties": { "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "samplingStrategy": { "$ref": "#/components/schemas/SamplingStrategy" }, "samplingDistance": { "type": "number", "description": "Sampling distance", "default": null, "nullable": true }, "mergePointClouds": { "type": "boolean", "description": "Flag to merge point clouds", "default": null, "nullable": true }, "includeNormals": { "type": "boolean", "description": "Flag to include normals", "default": null, "nullable": true }, "textureColorSource": { "$ref": "#/components/schemas/ColorSource" } }, "additionalProperties": false }
Options OPC
Coordinate Reference System
Sampling distance
{ "title": "Options OPC", "type": "object", "properties": { "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "samplingStrategy": { "$ref": "#/components/schemas/SamplingStrategy" }, "samplingDistance": { "type": "number", "description": "Sampling distance", "default": null, "nullable": true }, "textureColorSource": { "$ref": "#/components/schemas/ColorSource" } }, "additionalProperties": false }
Projection Mode
{ "title": "Projection Mode", "enum": [ "HighestPoint", "LowestPoint" ], "type": "string" }
Ortho Format
{ "title": "Ortho Format", "enum": [ "GeoTIFF", "JPEG", "None" ], "type": "string" }
Ortho Color Source
{ "title": "Ortho Color Source", "enum": [ "Reference3dModelVisible", "OptimizedComputationVisible", "Reference3dModelThermal", "OptimizedComputationThermal" ], "type": "string" }
DSM Format
{ "title": "DSM Format", "enum": [ "GeoTIFF", "ASC", "None" ], "type": "string" }
Overview Type
{ "title": "Overview Type", "enum": [ "None", "Embedded", "OvrFile" ], "type": "string" }
Options OrthoDSM
Coordinate Reference System
Sampling distance
Flag to merge parts
No data color
No data value
No data transparency
{ "title": "Options OrthoDSM", "type": "object", "properties": { "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "samplingDistance": { "type": "number", "description": "Sampling distance", "default": null, "nullable": true }, "projectionMode": { "$ref": "#/components/schemas/ProjectionMode" }, "mergeParts": { "type": "boolean", "description": "Flag to merge parts", "default": null, "nullable": true }, "orthoFormat": { "$ref": "#/components/schemas/OrthoFormat" }, "noDataColor": { "type": "string", "description": "No data color", "default": null, "nullable": true }, "colorSource": { "$ref": "#/components/schemas/OrthoColorSource" }, "dsmFormat": { "$ref": "#/components/schemas/DSMFormat" }, "overviews": { "$ref": "#/components/schemas/OverviewType" }, "noDataValue": { "type": "number", "description": "No data value", "default": null, "nullable": true }, "noDataTransparency": { "type": "boolean", "description": "No data transparency", "default": null, "nullable": true } }, "additionalProperties": false }
Options OBJ
Minimum resolution for the texture color source
Maximum resolution for the texture color source
Minimum thermal value for the texture color source
Maximum thermal value for the texture color source
Coordinate Reference System
{ "title": "Options OBJ", "type": "object", "properties": { "textureColorSource": { "$ref": "#/components/schemas/ColorSource" }, "textureColorSourceResMin": { "minimum": 0, "type": "number", "description": "Minimum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceResMax": { "minimum": 0, "type": "number", "description": "Maximum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalUnit": { "$ref": "#/components/schemas/ThermalUnit" }, "textureColorSourceThermalMin": { "type": "number", "description": "Minimum thermal value for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalMax": { "type": "number", "description": "Maximum thermal value for the texture color source", "default": null, "nullable": true }, "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true } }, "additionalProperties": false }
Options OBJ
Minimum resolution for the texture color source
Maximum resolution for the texture color source
Minimum thermal value for the texture color source
Maximum thermal value for the texture color source
Maximum texture size
JPG compression of texture file
Enable or disable texture sharpening.
Coordinate Reference System
{ "title": "Options OBJ", "type": "object", "properties": { "textureColorSource": { "$ref": "#/components/schemas/ColorSource" }, "textureColorSourceResMin": { "minimum": 0, "type": "number", "description": "Minimum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceResMax": { "minimum": 0, "type": "number", "description": "Maximum resolution for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalUnit": { "$ref": "#/components/schemas/ThermalUnit" }, "textureColorSourceThermalMin": { "type": "number", "description": "Minimum thermal value for the texture color source", "default": null, "nullable": true }, "textureColorSourceThermalMax": { "type": "number", "description": "Maximum thermal value for the texture color source", "default": null, "nullable": true }, "maximumTextureSize": { "type": "integer", "description": "Maximum texture size", "default": null, "nullable": true }, "textureCompression": { "maximum": 100, "minimum": 0, "type": "integer", "description": "JPG compression of texture file", "default": null, "nullable": true }, "textureSharpening": { "type": "boolean", "description": "Enable or disable texture sharpening.", "default": null, "nullable": true }, "lodScope": { "$ref": "#/components/schemas/LODScope" }, "lodType": { "$ref": "#/components/schemas/LODType" }, "crs": { "type": "string", "description": "Coordinate Reference System", "default": null, "nullable": true }, "crsOrigin": { "$ref": "#/components/schemas/Point3d" } }, "additionalProperties": false }
Export
Options associated to format
Name used for the reality data.
Reality data id of the export
{ "title": "Export", "required": [ "format", "location" ], "type": "object", "properties": { "format": { "$ref": "#/components/schemas/Format" }, "options": { "title": "options", "anyOf": [ { "$ref": "#/components/schemas/Options3DTiles" }, { "$ref": "#/components/schemas/Options3MX" }, { "$ref": "#/components/schemas/OptionsOBJ" }, { "$ref": "#/components/schemas/OptionsLAS" }, { "$ref": "#/components/schemas/OptionsPLY" }, { "$ref": "#/components/schemas/OptionsOPC" }, { "$ref": "#/components/schemas/OptionsOrthoDSM" }, { "$ref": "#/components/schemas/OptionsI3S" }, { "$ref": "#/components/schemas/OptionsOSGB" } ], "description": "Options associated to format", "default": null, "nullable": true }, "name": { "title": "name", "minLength": 3, "type": "string", "description": "Name used for the reality data.", "default": null, "nullable": true }, "location": { "title": "location", "type": "string", "description": "Reality data id of the export" } }, "additionalProperties": false }
Production Outputs
{ "title": "Production Outputs", "required": [ "exports" ], "type": "object", "properties": { "exports": { "type": "array", "items": { "$ref": "#/components/schemas/Export" }, "description": "List of exports" } }, "additionalProperties": false }
Production Specifications
{ "title": "Production Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/ProductionInputs" }, "outputs": { "$ref": "#/components/schemas/ProductionOutputs" } }, "additionalProperties": false }
Reconstruction Inputs
Reality data id of ContextScene to process
Path in the bucket to region of interest file, used for tiling region of interest
Path in the bucket to region of interest file, used for export extent
Reality data id of modeling reference to process
Path in the bucket for CRS Data
List of paths to preset
{ "title": "Reconstruction Inputs", "required": [ "scene" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data id of ContextScene to process" }, "regionOfInterest": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket to region of interest file, used for tiling region of interest", "default": null, "nullable": true }, "extent": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket to region of interest file, used for export extent", "default": null, "nullable": true }, "modelingReference": { "type": "string", "description": "Reality data id of modeling reference to process", "default": null, "nullable": true }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true }, "presets": { "type": "array", "items": { "type": "string" }, "description": "List of paths to preset", "default": null, "nullable": true } }, "additionalProperties": false }
Reconstruction Outputs
{ "title": "Reconstruction Outputs", "type": "object", "properties": { "modelingReference": { "$ref": "#/components/schemas/ModelingReference" }, "exports": { "type": "array", "items": { "$ref": "#/components/schemas/Export" }, "description": "List of exports", "default": null, "nullable": true } }, "additionalProperties": false }
Reconstruction Specifications
{ "title": "Reconstruction Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/ReconstructionInputs" }, "outputs": { "$ref": "#/components/schemas/ReconstructionOutputs" }, "options": { "$ref": "#/components/schemas/TilingOptions" } }, "additionalProperties": false }
Constraint Type
{ "title": "Constraint Type", "enum": [ "Mesh", "Polygon" ], "type": "string" }
Constraint To Add
Path in the bucket to the constraint file
Coordinate Reference System
Resolution of the constraint
Path in the bucket to the texture file
Size of the texture
Fill color for the constraint
Name of the constraint
Description of the constraint
{ "title": "Constraint To Add", "required": [ "constraint Path", "crs" ], "type": "object", "properties": { "constraintPath": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket to the constraint file" }, "crs": { "type": "string", "description": "Coordinate Reference System" }, "type": { "$ref": "#/components/schemas/ConstraintType" }, "resolution": { "type": "number", "description": "Resolution of the constraint", "default": null, "nullable": true }, "texturePath": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket to the texture file", "default": null, "nullable": true }, "textureSize": { "type": "integer", "description": "Size of the texture", "default": null, "nullable": true }, "fillColor": { "type": "string", "description": "Fill color for the constraint", "default": null, "nullable": true }, "name": { "type": "string", "description": "Name of the constraint", "default": null, "nullable": true }, "description": { "type": "string", "description": "Description of the constraint", "default": null, "nullable": true } }, "additionalProperties": false }
Constraints Inputs
Reality data id of ContextScene to process
IDs of constraints to delete
Path in the bucket for CRS Data
{ "title": "Constraints Inputs", "required": [ "modelingReference" ], "type": "object", "properties": { "modelingReference": { "type": "string", "description": "Reality data id of ContextScene to process" }, "constraintsToDelete": { "type": "array", "items": { "type": "string", "format": "uuid4" }, "description": "IDs of constraints to delete", "default": null, "nullable": true }, "constraintsToAdd": { "type": "array", "items": { "$ref": "#/components/schemas/ConstraintToAdd" }, "description": "Constraints to add", "default": null, "nullable": true }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true } }, "additionalProperties": false }
Constraints Outputs
Path in the bucket for added ConstraintsInfo
{ "title": "Constraints Outputs", "required": [ "addedConstraintsInfo" ], "type": "object", "properties": { "addedConstraintsInfo": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for added ConstraintsInfo" } }, "additionalProperties": false }
Constraints Specifications
{ "title": "Constraints Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/ConstraintsInputs" }, "outputs": { "$ref": "#/components/schemas/ConstraintsOutputs" } }, "additionalProperties": false }
TouchUp Export Inputs
Reality data id of Modeling Reference
List of tiles to export for touch up
{ "title": "TouchUp Export Inputs", "required": [ "modelingReference" ], "type": "object", "properties": { "modelingReference": { "type": "string", "description": "Reality data id of Modeling Reference" }, "tilesToTouchUp": { "type": "array", "items": { "type": "string" }, "description": "List of tiles to export for touch up", "default": null, "nullable": true } }, "additionalProperties": false }
TouchUp Export Outputs
Reality Data id for touch up data
{ "title": "TouchUp Export Outputs", "required": [ "touchUpData" ], "type": "object", "properties": { "touchUpData": { "type": "string", "description": "Reality Data id for touch up data" } }, "additionalProperties": false }
Touch Level
{ "title": "Touch Level", "enum": [ "Geometry", "GeometryAndTexture" ], "type": "string" }
TouchUp Export Options
{ "title": "TouchUp Export Options", "type": "object", "properties": { "level": { "$ref": "#/components/schemas/TouchLevel" }, "crs": { "type": "string", "description": "Export CRS", "default": null, "nullable": true } }, "additionalProperties": false }
TouchUp Export Specifications
{ "title": "TouchUp Export Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/TouchUpExportInputs" }, "outputs": { "$ref": "#/components/schemas/TouchUpExportOutputs" }, "options": { "$ref": "#/components/schemas/TouchUpExportOptions" } }, "additionalProperties": false }
TouchUp Import Inputs
Reality data id of Modeling Reference
Reality Data id for touch up data
{ "title": "TouchUp Import Inputs", "required": [ "modelingReference", "touchUpData" ], "type": "object", "properties": { "modelingReference": { "type": "string", "description": "Reality data id of Modeling Reference" }, "touchUpData": { "type": "string", "description": "Reality Data id for touch up data" } }, "additionalProperties": false }
TouchUp Import Outputs
Folder in bucket containing the information about what was imported
{ "title": "TouchUp Import Outputs", "type": "object", "properties": { "importInfo": { "type": "string", "description": "Folder in bucket containing the information about what was imported", "default": null, "nullable": true } }, "additionalProperties": false }
TouchUp Import Specifications
{ "title": "TouchUp Import Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/TouchUpImportInputs" }, "outputs": { "$ref": "#/components/schemas/TouchUpImportOutputs" } }, "additionalProperties": false }
WaterConstraints Inputs
Reality data id of ContextScene
Reality data id of Modeling Reference
Path in the bucket for CRS Data
{ "title": "WaterConstraints Inputs", "required": [ "scene", "modelingReference" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data id of ContextScene" }, "modelingReference": { "type": "string", "description": "Reality data id of Modeling Reference" }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true } }, "additionalProperties": false }
WaterConstraints Outputs
Path in the bucket of output constraints
{ "title": "WaterConstraints Outputs", "required": [ "constraints" ], "type": "object", "properties": { "constraints": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket of output constraints" } }, "additionalProperties": false }
WaterConstraints Options
Force constraints to be horizontal
{ "title": "WaterConstraints Options", "type": "object", "properties": { "forceHorizontal": { "type": "boolean", "description": "Force constraints to be horizontal", "default": null, "nullable": true } }, "additionalProperties": false }
WaterConstraints Specifications
{ "title": "WaterConstraints Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/WaterConstraintsInputs" }, "outputs": { "$ref": "#/components/schemas/WaterConstraintsOutputs" }, "options": { "$ref": "#/components/schemas/WaterConstraintsOptions" } }, "additionalProperties": false }
Gaussian Splats Inputs
Reality data id of ContextScene to process
Reality data ID of the Gaussian Splats Reference.
Path in the bucket to region of interest file
Path in the bucket for CRS Data
Path to preset
{ "title": "Gaussian Splats Inputs", "required": [ "scene" ], "type": "object", "properties": { "scene": { "type": "string", "description": "Reality data id of ContextScene to process" }, "splatsReference": { "type": "string", "description": "Reality data ID of the Gaussian Splats Reference.", "default": null, "nullable": true }, "regionOfInterest": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket to region of interest file", "default": null, "nullable": true }, "crsData": { "pattern": "^bkt:.+", "type": "string", "description": "Path in the bucket for CRS Data", "default": null, "nullable": true }, "preset": { "type": "string", "description": "Path to preset", "default": null, "nullable": true } }, "additionalProperties": false }
Gaussian Splats Outputs
Reality data ID of Gaussian Splats.
Reality data ID of Gaussian Splats Reference.
{ "title": "Gaussian Splats Outputs", "type": "object", "properties": { "splats": { "type": "string", "description": "Reality data ID of Gaussian Splats.", "default": null, "nullable": true }, "splatsReference": { "type": "string", "description": "Reality data ID of Gaussian Splats Reference.", "default": null, "nullable": true } }, "additionalProperties": false }
GS Format
{ "title": "GS Format", "enum": [ "SPZ", "3DTiles", "PLY", "3DTilesLOD" ], "type": "string" }
GSQuality
{ "title": "GSQuality", "enum": [ "Medium", "Standard", "High" ], "type": "string" }
Gaussian Splats Options
{ "title": "Gaussian Splats Options", "type": "object", "properties": { "exportFormat": { "$ref": "#/components/schemas/GSFormat" }, "referenceQuality": { "$ref": "#/components/schemas/GSQuality" }, "referenceTileSize": { "type": "number", "description": "Tile size for the Splats Reference", "default": null, "nullable": true }, "exportCrs": { "type": "string", "description": "CRS for the exported Gaussian Splats", "default": null, "nullable": true } }, "additionalProperties": false }
Gaussian Splats Specifications
{ "title": "Gaussian Splats Specifications", "required": [ "inputs", "outputs" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/GaussianSplatsInputs" }, "outputs": { "$ref": "#/components/schemas/GaussianSplatsOutputs" }, "options": { "$ref": "#/components/schemas/GaussianSplatsOptions" } }, "additionalProperties": false }
Job type
Supported job types
{ "title": "Job type", "enum": [ "FillImageProperties", "ImportPointCloud", "Calibration", "Tiling", "Production", "Reconstruction", "Constraints", "TouchUpExport", "TouchUpImport", "WaterConstraints", "GaussianSplats" ], "type": "string", "description": "Supported job types" }
Job
Job information
Job unique id
Identifier of the user that created the job.
List of inputs, outputs and options for the job, must be in sync with type
Job name
iTwin Id
{ "title": "Job", "required": [ "iTwinId", "specifications", "type", "executionInfo", "id", "state", "userId" ], "type": "object", "properties": { "id": { "type": "string", "description": "Job unique id" }, "state": { "$ref": "#/components/schemas/JobState" }, "userId": { "type": "string", "description": "Identifier of the user that created the job." }, "executionInfo": { "$ref": "#/components/schemas/ExecutionInformation" }, "specifications": { "anyOf": [ { "$ref": "#/components/schemas/FillImagePropertiesSpecifications" }, { "$ref": "#/components/schemas/ImportPointCloudSpecifications" }, { "$ref": "#/components/schemas/CalibrationSpecifications" }, { "$ref": "#/components/schemas/TilingSpecifications" }, { "$ref": "#/components/schemas/ProductionSpecifications" }, { "$ref": "#/components/schemas/ReconstructionSpecifications" }, { "$ref": "#/components/schemas/ConstraintsSpecifications" }, { "$ref": "#/components/schemas/TouchUpExportSpecifications" }, { "$ref": "#/components/schemas/TouchUpImportSpecifications" }, { "$ref": "#/components/schemas/WaterConstraintsSpecifications" }, { "$ref": "#/components/schemas/GaussianSplatsSpecifications" } ], "description": "List of inputs, outputs and options for the job, must be in sync with type" }, "name": { "maxLength": 256, "minLength": 3, "pattern": "^([^\"<>|:*?\\\\/\\u0000-\\u001f])+$", "type": "string", "description": "Job name", "nullable": true }, "type": { "$ref": "#/components/schemas/JobTypes" }, "iTwinId": { "type": "string", "description": "iTwin Id" } }, "additionalProperties": false, "description": "Job information" }
link
Hyperlink container.
{ "type": "object", "properties": { "href": { "type": "string", "description": "Hyperlink container." } }, "additionalProperties": false }
Next Page Link
URL for getting the next page of data, if applicable.
{ "title": "Next Page Link", "type": "object", "properties": { "next": { "$ref": "#/components/schemas/link" } }, "additionalProperties": false, "description": "URL for getting the next page of data, if applicable." }
Reality Modeling Jobs
Jobs
{ "title": " Reality Modeling Jobs", "type": "object", "properties": { "jobs": { "type": "array", "items": { "$ref": "#/components/schemas/Job" }, "description": "Array of jobs" }, "_links": { "$ref": "#/components/schemas/next-page-link" } }, "additionalProperties": false, "description": "Jobs" }
Was this page helpful?